RTP Inquiry

clock 2-minute read calender 1.2.3 | updated Jul. 08, 2026

Search and query real-time payments transactions

What can you doEndpoint
Health checkget /rtp/v1/healthCheck
Search real time payment transactionspost /rtp/v1/transactions/list
Get a real time payment transaction by its transaction IDget /rtp/v1/transactions/detail/{transactionId}

Before you begin

All KeyBank APIs require certificates, user credentials, and certain permissions. Details about what is required to become an API partner with KeyBank are in the Get started section to learn more. 

Before using any endpoint, make sure you understand the required parameters and conditions for a valid request.

Account number

When retrieving a list of wire transactions, you need a valid (16-character) accountNumber. This account number pulls all related transactions within the specified date range of the request. 

Date range

Use the fromDate and toDate in the request to specify the date range for settled transactions for the account number provided. 

The start date (fromDate) must be within 100 days of the current day. This date has to occur before the end date (toDate). The end date cannot be a future date. Date formats are in YYYY-MM-DD.

Transaction ID

If you are looking for details about a specific transaction, you must specify the transactionId in the detail request. The transactionId is the unique ID number associated with the original payment request. The maximum amount of characters for a transactionId is 100, but typically they are around 16 characters in length. 

How do I get the transaction ID? 

The transactionId is returned in the response for the list API. Use this ID returned in your detail request to return additional information about an RTP transaction. 

Pennies to 1 billion

Retrieve detailed insights into transactions of any size—from high-value wires up to $1B to penny transactions traced down to the cent. Refer to Amount0To1B for the full range of supported values and input requirements.


get /accounts/transactions/v1/healthCheck

Check the health of an API service and verify you can successfully connect. A bearer token is required.

Request example

curl "https://partner-api-qv.key.com/rtp/v1/healthCheck"
--header 'Bearer testZcKJDWnwDWmmf9qah6PJvPy8'
NAMETYPEDESCRIPTION
StatusstringStatus of the health check response.
SourcestringOrigin of the system response can be 'Gateway' or 'Roundtrip'. Roundtrip returns a response from the farthest system involved.
TimestampstringDate (YYYY-MM-DD) and time (HH:MM:SS) of response from the API service.
ClientIpstringClient IP address the gateway receives from the request.
X-Forwarded-ForstringSequence of IP addresses for systems between the client and the gateway.

Response example (200)

copylink
{
    "Status": "Ok",
    "Source": "Roundtrip",
    "Timestamp": "2022-09-15T04:49:03",
    "ClientIp": "192.0.2.1",
    "X-Forwarded-For": "[192.0.2.1]"
}

post /rtp/v1/transactions/list

Based on search criteria provided, get a list of RTP transactions. The account number and date range are required for every request.

NAMETYPEDESCRIPTION
accountNumberrequiredstringThe bank account number. This field cannot exceed 16 characters.
fromDaterequiredstringStart date for the date range. This date can be the current day or within 100 days prior to the current date. To search for a single date, this value will be the same as the toDate. Format: YYYY-MM-DD
toDaterequiredstringEnd date for the date range. This date must be the same or later than the start date (fromDate). To search for a single date, this value will be the same as the fromDate. To search for a range of dates, make sure the date range does not exceed 31 days. Format: YYYY-MM-DD
minimumAmountoptionalstringAmount0To1B
maximumAmountoptionalstringAmount0To1B
requestReferencestringA reference value for the original request that is useful for traceability and reporting. The ID cannot exceed 32 characters.
pageNumberoptionalintergerThe number of the page being viewed. This number must be greater than or equal to 1.
pageSizeoptionalintegerThe total number of pages returned. This number must be greater than or equal to 1 and cannot exceed 1000.

Request example

copylink
{
  "accountNumber": "3123456789",
  "fromDate": "2024-02-01",
  "toDate": "2024-02-01",
  "minimumAmount": "100.00",
  "maximumAmount": "75020.52",
  "requestReference": "USRSIM-0.0001",
  "pageNumber": "1",
  "pageSize": "500"
}
NAMETYPEDESCRIPTION
transactionsarrayRTPListTransaction
metadataobjectPageMetadata

Response example (200)

copylink
{
    "transactions": [
        {
            "transactionId": "US99999000999999",
            "transactionStatus": "COMPLETED",
            "transactionStatusTimestamp": "2026-01-12T12:18:01",
            "transactionDate": "2026-01-12",
            "transactionAmount": 32772.63,
            "requestReference": "1122334455",
            "sendersReference": "US99999000999999",
            "creditor": {
                "name": "Global Markets LLC"
            },
            "creditorAccount": {
                "accountNumber": "987654321"
            },
            "debtor": {
                "name": "Paul Wilson"
            },
            "debtorAccount": {
                "accountNumber": "123456789"
            },
            "originator": {
                "name": "VAM TEST BANK"
            },
            "beneficiary": {
                "name": "MARKET CAPITAL"
            }
        }
    ],
    "metadata": {
        "page": {
            "pageNumber": 1,
            "pageSize": 25,
            "totalPages": 3,
            "totalRecords": 75,
            "lastPage": false
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (400)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "RTP-List-400-toDate",
                    "message": "toDate format must be YYYY-MM-DD"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (401)

copylink
{
    "ErrorMessage": "Received request is unauthorized, please provide valid credentials",
    "TransactionId": "0635f201-8fbb-418f-b93a-138d5103e2b91348",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/list"
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (403)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "403-Forbidden",
                    "message": "Entitlements Validation Failed"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (408)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "RTP-List-408-timeout",
                    "message": "The request exceeded the timeout limit.  Please adjust your request parameters and try again."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (500)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/list",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "500-InternalServerError",
                    "message": "An unexpected error occurred.  Please try again later or contact support if the problem persists."
                }
            ]
        }
    }
}

get /rtp/v1/transactions/detail/{transactionId}

Provide the transaction ID to retrieve all available fields for that single real time payment transaction.

path FIELDTYPEDESCRIPTION
transactionIdrequiredstringThe unique ID number associated with the original payment request.

Request example

curl --location: '{host}/rtp/v1/transactions/detail/US99999000999999'
--header 'Accept: application/json'
--header 'X-CorrelationId: 1234567890abcdef'
--header 'Authorization: Bearer testZcKJDWnwDWmmf9qah6PJvPy8'
NAMETYPEDESCRIPTION
transactionIdstringThe unique ID number associated with the original payment request.
transactionStatusstringThe status of the RTP payment. Valid values: CANCELLED, COMPLETED, FAILED, IN PROCESS, IN REVIEW, RETURNED
transactionStatusTimestampstringTimestamp for the most recent status change on the transaction.
transactionDatestringDate the transfer occurred. Format: YYYY-MM-DD
transactionAmountnumberThe dollar amount of the transaction.
transactionDirectionstringRTP Transaction Direction
requestReferencestringA reference value for the original request that is useful for traceability and reporting. The ID cannot exceed 32 characters.
sendersReferencestringA reference value provided by the sender. For outbound payments, this value is the same as the transaction ID. The ID cannot exceed 35 characters.
clearingReferenceNumberstringMessages or instructions shared from one bank to another. Data retrieved if part of the original wire transfer.
creditorObjectPartyDetail
creditorAccountObjectAccountExtended
debtorObjectPartyDetail
debtorAccountObjectAccountExtended
originatorObjectOriginatorPartyDetail
originatorAccountObjectAccount
beneficiaryObjectBeneficiaryPartyDetail
beneficiaryAccountObjectAccount
ultimateCreditorObjectPartyDetail
ultimateCreditorAccountObjectAccount
ultimateDebtorObjectPartyDetail
ultimateDebtorAccountObjectAccount
remittanceInformationstringInformation that stays with a payment as it is transferred from one party to another. This field only displays if there is remittance information for the transaction. Message length cannot exceed 256 characters.
bankToBankInstructionsstringMessages or instructions shared from one bank to another.
customDatastringA client-defined free-form text field (up to 500 alphanumeric characters) that remains associated with the transaction throughout its lifecycle in the KeyBank network.
intermediaryBank1ObjectIntermediaryBank
intermediaryBank2ObjectIntermediaryBank
intermediaryBank3ObjectIntermediaryBank
beneficiaryBankObjectBank
originatorBankObjectBank
failureReasonsObjectFailureReasons

Response example (200)

copylink
{
    "transactionId": "US99999000999999",
    "transactionStatus": "COMPLETED",
    "transactionStatusTimestamp": "2026-01-12T12:18:01",
    "transactionDate": "2026-01-12",
    "transactionAmount": 32772.63,
    "transactionDirection": "INBOUND",
    "requestReference": "1122334455",
    "sendersReference": "US99999000999999",
    "clearingReferenceNumber": "20209999MMZZZZZD099999",
    "remittanceInformation": "Payment 01/12/2026_Invoice 123456789 Cust",
    "bankToBankInstructions": "Final Payment",
    "customData": "USER ID 1",
    "creditor": {
        "name": "Global Markets LLC",
        "postalAddress": {
            "type": "Office",
            "department": "Financial",
            "subDepartment": "Sub financial",
            "street": "Columbus pike",
            "buildingNumber": "123",
            "postalCode": "43240",
            "city": "Columbus",
            "region": "OH",
            "countryCode": "US",
            "addressLine": "123 SIM ST,STE W123 |SIMCITY OH 12345|I/US"
        }
    },
    "creditorAccount": {
        "accountNumber": "987654321",
        "virtualAccountNumber": "95312346654532"
    },
    "debtor": {
        "name": "Paul Wilson",
        "postalAddress": {
            "type": "Office",
            "department": "Financial",
            "subDepartment": "Sub financial",
            "street": "Columbus pike",
            "buildingNumber": "123",
            "postalCode": "43240",
            "city": "Columbus",
            "region": "OH",
            "countryCode": "US",
            "addressLine": "123 SIM ST,STE W123 |SIMCITY OH 12345|I/US"
        }
    },
    "debtorAccount": {
        "accountNumber": "123456789",
        "virtualAccountNumber": "95312346654532"
    },
    "originator": {
        "name": "VAM TEST BANK NA",
        "originalName": "Raul Wilson",
        "postalAddress": {
            "type": "Office",
            "department": "Financial",
            "subDepartment": "Sub financial",
            "street": "Columbus pike",
            "buildingNumber": "123",
            "postalCode": "43240",
            "city": "Columbus",
            "region": "OH",
            "countryCode": "US",
            "addressLine": "123 SIM ST,STE W123 |SIMCITY OH 12345|I/US"
        }
    },
    "beneficiary": {
        "name": "SIM IV INC",
        "ultimateName": "Saul Wilson",
        "postalAddress": {
            "type": "Office",
            "department": "Mortgage",
            "subDepartment": "Housing",
            "street": "123 BNFW1 ST",
            "buildingNumber": "123",
            "postalCode": "12334",
            "city": "BNFCITY",
            "region": "OH",
            "countryCode": "US",
            "addressLine": "123 BNFW1 SIM ST,BNFW1 123 |BNFCITY OH 12334|I/US"
        }
    },
    "beneficiaryAccount": {
        "accountNumber": "9350371100"
    },
    "originatorAccount": {
        "accountNumber": "9350371111"
    },
    "ultimateCreditor": {
        "name": "ULTCR Party1",
        "postalAddress": {
            "type": "Office",
            "department": "dept",
            "subDepartment": "subDept",
            "street": "Oak Point Rd",
            "buildingNumber": "100",
            "postalCode": "12335",
            "city": "Amherst",
            "region": "NY",
            "countryCode": "US",
            "addressLine": "dept subDept 100 Oak Point Rd Amherst NY pstC44001d"
        }
    },
    "ultimateCreditorAccount": {
        "accountNumber": "1234321"
    },
    "ultimateDebtor": {
        "name": "ULTDB Party",
        "postalAddress": {
            "type": "Office",
            "department": "dept",
            "subDepartment": "subDept",
            "street": "Oak Point Rd",
            "buildingNumber": "100",
            "postalCode": "12335",
            "city": "Amherst",
            "region": "NY",
            "countryCode": "US",
            "addressLine": "dept subDept 100 Oak Point Rd Amherst NY pstC44001d"
        }
    },
    "ultimateDebtorAccount": {
        "accountNumber": "567651"
    },
    "intermediaryBank1": {
        "name": "SIMW1 BANK",
        "aba": "012345678",
        "bic": "SIMWUS01",
        "addressLine": "0123 INT2W1 ST|NEW YORK 01234 US"
    },
    "intermediaryBank2": {
        "name": "SIMWINT2 BANK",
        "aba": "112345555",
        "bic": "SIMWUS22",
        "addressLine": "0123 INT2W1 ST|NEW YORK 01235 US"
    },
    "intermediaryBank3": {
        "name": "SIMINTW3 CANADA BANK",
        "aba": "112346666",
        "bic": "SIMINT3W1",
        "addressLine": "0123 INT2W1 ST|NEW YORK 01238 US"
    },
    "beneficiaryBank": {
        "aba": "021007821",
        "bic": "SIMCRKEYBUS21"
    },
    "originatorBank": {
        "aba": "011007822",
        "bic": "SIMDBKEYBUS22"
    },
    "failureReasons": {
        "initiatingFailureReasonCode": "KEY-9998",
        "initiatingFailureReasonTitle": "Unauthorized for account",
        "networkFailureReasonCode": "123",
        "networkFailureReasonTitle": "Network Failure"
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (401)

copylink
{
    "ErrorMessage": "Received request is unauthorized, please provide valid credentials",
    "TransactionId": "0635f201-8fbb-418f-b93a-138d5103e2b91348",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/detail/US99999000999999"
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (404)

copylink
{
    "ErrorMessage": "Error received from backend service",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/detail/US99999000999999",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "RTP-Detail-404-no-records",
                    "message": "Record Not Found"
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
ErrorMessagestringA human-readable message that describes the type or source of the error.
TransactionIdstringA unique transaction ID returned with the response, useful for traceability.
X-CorrelationIdstringA unique identifier generated for each transaction that remains with the transaction through the chain of API operations.
TransactionTimestringDate and time the error occurred.
Api-UrlstringThe API URL path of the call that generated the response.
ServiceErroroneOfServiceErrorData ConnectError

Response example (500)

copylink
{
    "ErrorMessage": "Error received from backend",
    "TransactionId": "84293235-5d2c-42ba-afc3-a5d4afc5f88e27097",
    "TransactionTime": "2021-06-11T16:31:34.041Z",
    "X-CorrelationId": "929618f2-6163-bf73-51b0-6c54a8533c74",
    "Api-Url": "https://partner-api-qv.key.com/rtp/v1/transactions/detail/US99999000999999",
    "ServiceError": {
        "metadata": {
            "messages": [
                {
                    "code": "500-InternalServerError",
                    "message": "An unexpected error occurred.  Please try again later or contact support if the problem persists."
                }
            ]
        }
    }
}
NAMETYPEDESCRIPTION
transactionIdstringThe unique ID number associated with the original payment request.
transactionStatusstringThe status of the RTP payment. Valid values: CANCELLED, COMPLETED, FAILED, IN PROCESS, IN REVIEW, RETURNED
transactionStatusTimestampstringTimestamp for the most recent status change on the transaction.
transactionDatestringDate the transfer occurred. Format: YYYY-MM-DD
transactionAmountnumberThe dollar amount of the transaction.
transactionDirectionstringRTP Transaction Direction
requestReferencestringA reference value for the original request that is useful for traceability and reporting. The ID cannot exceed 32 characters.
sendersReferencestringA reference value provided by the sender. For outbound payments, this value is the same as the transaction ID. The ID cannot exceed 35 characters.
clearingReferenceNumberstringMessages or instructions shared from one bank to another. Data retrieved if part of the original wire transfer.
creditorObjectPartyDetail
creditorAccountObjectAccountExtended
debtorObjectPartyDetail
debtorAccountObjectAccountExtended
originatorObjectOriginatorPartyDetail
originatorAccountObjectAccount
beneficiaryObjectBeneficiaryPartyDetail
beneficiaryAccountObjectAccount
ultimateCreditorObjectPartyDetail
ultimateCreditorAccountObjectAccount
ultimateDebtorObjectPartyDetail
ultimateDebtorAccountObjectAccount
remittanceInformationstringInformation that stays with a payment as it is transferred from one party to another. This field only displays if there is remittance information for the transaction. Message length cannot exceed 256 characters.
bankToBankInstructionsstringMessages or instructions shared from one bank to another.
customDatastringA client-defined free-form text field (up to 500 alphanumeric characters) that remains associated with the transaction throughout its lifecycle in the KeyBank network.
intermediaryBank1ObjectIntermediaryBank
intermediaryBank2ObjectIntermediaryBank
intermediaryBank3ObjectIntermediaryBank
beneficiaryBankObjectBank
originatorBankObjectBank
failureReasonsObjectFailureReasons
NAMETYPEDESCRIPTION
transactionIdstringThe unique ID number associated with the original payment request
transactionStatusstringThe status of the RTP transfer. Valid values: CANCELLED, COMPLETED, FAILED, IN PROCESS, IN REVIEW, RETURNED
transactionStatusTimestampstringTimestamp for the most recent status change on the transaction.
transactionDatestringDate the transfer occurred. Format: YYYY-MM-DD
transactionAmountnumberThe dollar amount of the transaction.
requestReferencestringA reference value for the original request that is useful for traceability and reporting. The ID cannot exceed 32 characters.
sendersReferencestringA reference value provided by the sender. For outbound payments, this value is the same as the transaction ID. The ID cannot exceed 35 characters.
creditorObjectPartySummary
creditorAccountObjectAccount
debtorObjectPartySummary
debtorAccountObjectAccount
originatorObjectPartySummary
beneficiaryObjectPartySummary
NAMETYPEDESCRIPTION
AmountAsNumbernumberAmount between 0 and 1 billion.  Decimals are optional.  If present, must contain 1 or 2 digits (e.g., 2433.0, 3939.2, 100.25).
AmountAsStringstringString amount may include commas. If commas are used, they must be valid thousands separators (e.g., 1,234,567). Must be 0..1,000,000,000 inclusive. Decimals are optional; if present, must be 1 or 2 digits (e.g., 2433.0, 3939.2, 100.25). Note: 1,000,000,000 may only be whole dollars or with a decimal value of .0/.00.
NAMETYPEDESCRIPTION
accountNumberstringAccount number of the party.
NAMETYPEDESCRIPTION
AccountobjectAccount
virtualAccountNumberstringAccount number for the viral account (VAM).
NAMETYPEDESCRIPTION
namerequiredstringContains the customer name
NAMETYPEDESCRIPTION
PartySummaryobjectPartySummary
postalAddressobjectPostalAddress
NAMETYPEDESCRIPTION
PartyDetailobjectPartyDetail
ultimateNamestringContains the ultimate beneficiary name.
NAMETYPEDESCRIPTION
PartyDetailobjectPartyDetail
originalNamestringContains the original origination customer name
NAMETYPEDESCRIPTION
typestringAddress type for the party that specifies if it is a home, business, or mailing address. Valid values: ADDR, PBOX, HOME, BIZZ, MLTO, DLVY
departmentstringDepartment of the party for the mailing address, if applicable. This field cannot exceed 70 characters.
subDepartmentstringSub-department of the party, if applicable. This field cannot exceed 70 characters.
streetstringStreet address for the party. This field cannot exceed 70 characters.
buildingNumberstringBuilding number. This field cannot exceed 16 characters.
postalCodestringThe postal code or zip code for the address. This field cannot exceed 16 characters.
citystringName of the town. This field cannot exceed 35 characters.
regionstringName of subdivision of a country like a state, region, or county. This field cannot exceed 35 characters.
countryCodestringTwo-character country abbreviation.
addressLinestringAn unstructured address line.
NAMETYPEDESCRIPTION
BankobjectBank
namestringName.
addressLinestringAddress line.
NAMETYPEDESCRIPTION
abastringAn ABA routing number is a nine-digit code used in the United States to identify specific financial institutions
bicstringBusiness Identifier Code (BIC) is an 8 to 11-character alphanumeric code that uniquely identifies a specific bank or financial institution worldwide
NAMETYPEDESCRIPTION
initiatingFailureReasonCodestringReason code for initiating failure
initiatingFailureReasonTitlestringReason description for initiating failure
networkFailureReasonCodestringReason code for network failure
networkFailureReasonTitlestringReason description for network failure
NAMETYPEDESCRIPTION
codestringStatic code assigned by the network or payment system.
messagestringA human-readable message associated with the code.
NAMETYPEDESCRIPTION
pageNumberintegerThe number of the page being viewed.
pageSizeintegerThe number of records per page.
totalPagesintegerThe total number of pages available.
totalRecordsintegerThe total number of transactions (records) available in the result set.
lastPagebooleanIndicates the last page of the total pages.
NAMETYPEDESCRIPTION
pageObjectPage
NAMETYPEDESCRIPTION
metadataObjectErrorMetadata
NAMETYPEDESCRIPTION
ConnectErrorstringAPI connectivity error information, if available.
NAMETYPEDESCRIPTION
messagesoptionalarrayMessage

For more information about general error, see Error Handling. If you get stuck, check out our Troubleshooting page. 

1.2.3

June 2026 | MID Impact

  • Added new parameters like:
    • Amount0ToB to capture a wider range of amount queries.
    • PostalAddress to capture more formal address data that aligns with ISO standards.
  • Added intermediaryBank, BeneficiaryPartyDetail, and OriginatorPartyDetail fields to capture additional bank identification details for participating parties.
  • Party information is more detailed with new objects like PartySummary, PartyDetail, and AccountExtended (for virtal account management).
  • Improved error messaging, expanding on particular issues with FailureReasons object.

1.2.2

May 2026 | MID Impact

  • New parameters added to support international wire transfer queries like the PostalAddress schema.
  • Broadened accepted amount values to include commas as thousand separators, decimals than cannot be more than two decimal places, and allowed amounts between 1 and 1,000,000,000.
  • Added intermediaryBank, beneficiary, and originator fields to capture additional bank identification details for participating parties.
  • Party information is more robust with PartySummary and PartyDetail objects.

1.2.2

March 2026 | MID Impact

Added transactionStatusTimestamp to both /list and /details response payloads to indicate the date and time the transaction status last changed.

1.2.1

February 2026 | MID impact

Added customData to the RtpDetailTransaction object. The custom data defined during payment initiation can now be recalled in this field for the detail endpoint.

1.2.0

April 2025 | MID impact

  • Added the following parameters to the RtpListTransaction object:
    • originator
    • originatorAccount
    • beneficiary
    • beneficiaryAccount
  • In the AccountList object, added the virtualAccountNumber field to return VAM account information, if applicable.

1.1.0

February 2025 | LOW impact

Added requestReference to the /list endpoint. You can now recall a RTP transaction by the request reference ID.

1.0.0

November 2024

Released on the Developer Portal.

Impact levels

  • LOW: This is a minor change or enhancement that does not alter the operations of the API. Upgrading to the latest specifications is preferable but not required.
  • MID: The previous API version is valid and operates, but does not contain latest enhancements. You need to update your specifications to get these enhancements.
  • HIGH: The previous API version is no longer operable. You must upgrade to the latest specifications to access and use this API product.

YAML file download